# Created by pyp2rpm-3.3.8
%global pypi_name renogymodbus
%global pypi_version 0.0.23

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Simple CLI to read SRNE-compatible MPPT charge controllers

License:        MIT
URL:            https://github.com/rosswarren/renogymodbus
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(minimalmodbus)
BuildRequires:  python3dist(retrying)
BuildRequires:  python3dist(setuptools)

%description
This package is intended to help you communicate with a Renogy
charge controller. It has been tested with a Renogy Rover Elite but should work
with other Renogy devices. Features:
  * Read real time data
  * Automatic retries

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(minimalmodbus)
Requires:       python3dist(retrying)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
This package is intended to help you communicate with a Renogy
charge controller. It has been tested with a Renogy Rover Elite but should work
with other Renogy devices. Features:
  * Read real time data
  * Automatic retries


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/renogymodbus
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu May 16 2024 Vector Sigma <databasedevil@gmail.com> - 0.0.23-1
- Initial package.  Likely last, doesn't see too many updates. Hobbyist code, but it works.
- test suite is broken, so any calls to `setup.py test` will fail, so they've been removed from the specfile
- n.b.: build calls check, so if check is defined, build step will fail if check step fails. TIL.
